{
    "name": "traxxx",
    "version": "1.79.2",
    "description": "All the latest porn releases in one place",
    "main": "src/app.js",
    "scripts": {
        "postinstall": "npm run migrate && npm run seed",
        "start": "node -r source-map-support/register dist/init.js",
        "webpack": "webpack --env=production --mode=production",
        "webpack-dev": "webpack --env=development --mode=development",
        "webpack-watch": "webpack --progress --colors --watch --env=development --mode=development",
        "babel": "babel src --source-maps -d dist",
        "babel-watch": "babel src -w --source-maps -d dist",
        "build": "babel src --source-maps -d dist && webpack --env=production --mode=production",
        "eslint": "eslint src/",
        "eslint-watch": "esw --watch src/",
        "knex": "knex",
        "migrate-make": "knex-migrate generate",
        "migrate": "knex-migrate up",
        "rollback": "knex-migrate down",
        "seed-make": "knex seed:make",
        "seed": "knex seed:run",
        "flush": "cli-confirm \"This completely purges the database, are you sure?\" && knex-migrate down --to 0 && knex-migrate up && knex seed:run"
    },
    "repository": {
        "type": "git",
        "url": "https://gitea.unknown.name/niels/traxxx.git"
    },
    "keywords": [
        "porn",
        "releases",
        "updates",
        "nsfw"
    ],
    "author": "Niels Simenon",
    "license": "ISC",
    "devDependencies": {
        "@babel/cli": "^7.7.5",
        "@babel/core": "^7.7.5",
        "@babel/plugin-proposal-optional-chaining": "^7.7.5",
        "@babel/preset-env": "^7.7.6",
        "@babel/register": "^7.7.4",
        "autoprefixer": "^9.7.3",
        "babel-eslint": "^10.0.3",
        "babel-loader": "^8.0.6",
        "babel-preset-airbnb": "^3.3.2",
        "css-loader": "^2.1.1",
        "eslint": "^5.16.0",
        "eslint-config-airbnb": "^17.1.1",
        "eslint-config-airbnb-base": "^13.2.0",
        "eslint-loader": "^2.2.1",
        "eslint-plugin-import": "^2.19.1",
        "eslint-plugin-jsx-a11y": "^6.2.3",
        "eslint-plugin-react": "^7.17.0",
        "eslint-plugin-vue": "^6.0.1",
        "eslint-watch": "^4.0.2",
        "mini-css-extract-plugin": "^0.7.0",
        "node-sass": "^4.13.0",
        "postcss-loader": "^3.0.0",
        "raw-loader": "^2.0.0",
        "sass-loader": "^7.3.1",
        "style-loader": "^0.23.1",
        "vue-loader": "^15.7.2",
        "vue-template-compiler": "^2.6.10",
        "webpack": "^4.41.2",
        "webpack-cli": "^3.3.10"
    },
    "dependencies": {
        "@graphile-contrib/pg-order-by-related": "^1.0.0-beta.6",
        "@graphile-contrib/pg-simplify-inflector": "^5.0.0-beta.1",
        "@tensorflow/tfjs-node": "^1.5.1",
        "babel-polyfill": "^6.26.0",
        "bhttp": "^1.2.4",
        "blake2": "^4.0.0",
        "bluebird": "^3.7.2",
        "body-parser": "^1.19.0",
        "canvas": "^2.6.1",
        "cheerio": "^1.0.0-rc.3",
        "cli-confirm": "^1.0.1",
        "config": "^3.2.4",
        "dayjs": "^1.8.17",
        "express": "^4.17.1",
        "express-promise-router": "^3.0.3",
        "express-react-views": "^0.11.0",
        "face-api.js": "^0.21.0",
        "fs-extra": "^7.0.1",
        "graphile-utils": "^4.5.6",
        "iconv-lite": "^0.5.0",
        "jsdom": "^15.2.1",
        "knex": "^0.16.5",
        "knex-migrate": "^1.7.4",
        "mime": "^2.4.4",
        "moment": "^2.24.0",
        "opn": "^5.5.0",
        "pg": "^7.14.0",
        "postgraphile": "^4.5.5",
        "postgraphile-plugin-connection-filter": "^1.1.3",
        "prop-types": "^15.7.2",
        "react": "^16.12.0",
        "react-dom": "^16.12.0",
        "sharp": "^0.23.4",
        "showdown": "^1.9.1",
        "source-map-support": "^0.5.16",
        "template-format": "^1.2.5",
        "tough-cookie": "^3.0.1",
        "tty-table": "^2.8.3",
        "url-pattern": "^1.0.3",
        "v-tooltip": "^2.0.2",
        "vue": "^2.6.10",
        "vue-router": "^3.1.3",
        "vuex": "^3.1.2",
        "winston": "^3.2.1",
        "winston-daily-rotate-file": "^4.4.1",
        "yargs": "^13.3.0"
    }
}
